Crazy Eddies GUI System: CEGUI::WidgetComponent Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::WidgetComponent Class Reference

Class that encapsulates information regarding a sub-widget required for a widget. More...

Collaboration diagram for CEGUI::WidgetComponent:
[legend]

List of all members.

## Public Member Functions
| WidgetComponent (const String &type, const String &look, const String &suffix, const String &renderer)
void | create (Window &parent) const
| Create an instance of this widget component adding it as a child to the given Window.
const ComponentArea & | getComponentArea () const
void | setComponentArea (const ComponentArea &area)
const String & | getBaseWidgetType () const
void | setBaseWidgetType (const String &type)
const String & | getWidgetLookName () const
void | setWidgetLookName (const String &look)
const String & | getWidgetNameSuffix () const
void | setWidgetNameSuffix (const String &suffix)
const String & | getWindowRendererType () const
void | setWindowRendererType (const String &type)
VerticalAlignment | getVerticalWidgetAlignment () const
void | setVerticalWidgetAlignment (VerticalAlignment alignment)
HorizontalAlignment | getHorizontalWidgetAlignment () const
void | setHorizontalWidgetAlignment (HorizontalAlignment alignment)
void | addPropertyInitialiser (const PropertyInitialiser &initialiser)
void | clearPropertyInitialisers ()
void | layout (const Window &owner) const
void | writeXMLToStream (XMLSerializer &xml_stream) const
| Writes an xml representation of this WidgetComponent to out_stream.
const PropertyInitialiser * | findPropertyInitialiser (const String &propertyName) const
| Takes the name of a property and returns a pointer to the last PropertyInitialiser for this property or 0 if the is no PropertyInitialiser for this property in the WidgetLookFeel.

## Detailed Description

Class that encapsulates information regarding a sub-widget required for a widget.

Todo:
  This is not finished in the slightest! There will be many changes here...

## Member Function Documentation

const PropertyInitialiser* CEGUI::WidgetComponent::findPropertyInitialiser | ( | const String & | propertyName | ) | const

Takes the name of a property and returns a pointer to the last PropertyInitialiser for this property or 0 if the is no PropertyInitialiser for this property in the WidgetLookFeel.

Parameters:

  propertyName | The name of the property to look for.

void CEGUI::WidgetComponent::writeXMLToStream | ( | XMLSerializer & | xml_stream | ) | const

Writes an xml representation of this WidgetComponent to out_stream.

Parameters:

  xml_stream | Stream where xml data should be output.

Returns:
  Nothing.